summaryrefslogtreecommitdiffstats
path: root/libraries/libopenraw
diff options
context:
space:
mode:
author Michiel van Wessem2010-05-12 17:41:37 +0200
committer David Somero2010-05-12 17:41:37 +0200
commita494e57c7323e1c97211ee7a0270d6eed637677e (patch)
treef35e7fa244329760306f4086a7ce3245b5bf775c /libraries/libopenraw
parent589f0589b83c104e3fe3a86f1191a8ce23575463 (diff)
downloadslackbuilds-a494e57c7323e1c97211ee7a0270d6eed637677e.tar.gz
libraries/libopenraw: Updated for version 0.0.7
Diffstat (limited to 'libraries/libopenraw')
-rw-r--r--libraries/libopenraw/README16
-rw-r--r--libraries/libopenraw/libopenraw.SlackBuild33
-rw-r--r--libraries/libopenraw/libopenraw.info8
-rw-r--r--libraries/libopenraw/slack-desc6
4 files changed, 38 insertions, 25 deletions
diff --git a/libraries/libopenraw/README b/libraries/libopenraw/README
index b09e2c50c4..5c5834428b 100644
--- a/libraries/libopenraw/README
+++ b/libraries/libopenraw/README
@@ -1,9 +1,11 @@
-libopenraw is an ongoing project to provide a free software implementation
-for camera RAW files decoding. One of the main reasons is that dcraw is not
-suited for easy integration into applications, and there is a need for an
-easy to use API to build free software digital image processing applications.
+libopenraw is an ongoing project to provide a free software
+implementation for camera RAW files decoding. One of the main
+reason is that dcraw is not suited for easy integration into
+applications, and there is a need for an easy to use API to
+build free software digital image processing application.
-It also has the goal to address missing features of dcraw like meta-data
-decoding and easy thumbnail extraction.
+It also has the goal to address missing feature from dcraw
+like meta-data decoding and easy thumbnail extraction.
-libopenraw requires boost (also available at SlackBuilds.org).
+libopenraw requires boost (a SlackBuild script is available at
+SlackBuilds.org)
diff --git a/libraries/libopenraw/libopenraw.SlackBuild b/libraries/libopenraw/libopenraw.SlackBuild
index 7a671d498a..1958e3a0ad 100644
--- a/libraries/libopenraw/libopenraw.SlackBuild
+++ b/libraries/libopenraw/libopenraw.SlackBuild
@@ -1,8 +1,7 @@
#!/bin/sh
# Slackware build script for libopenraw
-
-# Copyright 2008 Michiel van Wessem <michiel@slackbuilds.org>
+# Copyright 2007-2009 Michiel van Wessem, Manchester, United Kingdom
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
@@ -24,8 +23,11 @@
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# Exit on most errors
+set -e
+
PRGNAM=libopenraw
-VERSION=0.0.3
+VERSION=${VERSION:-0.0.7}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -36,18 +38,21 @@ PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
-set -e # Exit on most errors
-
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
find . \
@@ -59,10 +64,16 @@ find . \
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
- --prefix=/usr
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
make
-make install DESTDIR=$PKG
+make install-strip DESTDIR=$PKG
( cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
@@ -70,7 +81,7 @@ make install DESTDIR=$PKG
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS COPYING ChangeLog NEWS README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README TODO $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/libraries/libopenraw/libopenraw.info b/libraries/libopenraw/libopenraw.info
index 212a21b223..2c6e9029fa 100644
--- a/libraries/libopenraw/libopenraw.info
+++ b/libraries/libopenraw/libopenraw.info
@@ -1,8 +1,8 @@
PRGNAM="libopenraw"
-VERSION="0.0.3"
+VERSION="0.0.7"
HOMEPAGE="http://libopenraw.freedesktop.org/wiki"
-DOWNLOAD="http://libopenraw.freedesktop.org/download/libopenraw-0.0.3.tar.gz"
-MD5SUM="53494b54e4d982e3a9871c6e5e66eced"
+DOWNLOAD="http://libopenraw.freedesktop.org/download/libopenraw-0.0.7.tar.gz"
+MD5SUM="fe3a27b120df07b1184132624cf4bcd1"
MAINTAINER="Michiel van Wessem"
EMAIL="michiel@slackbuilds.org"
-APPROVED="rworkman"
+APPROVED="dsomero"
diff --git a/libraries/libopenraw/slack-desc b/libraries/libopenraw/slack-desc
index ba0f1206ba..99d4603024 100644
--- a/libraries/libopenraw/slack-desc
+++ b/libraries/libopenraw/slack-desc
@@ -6,13 +6,13 @@
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
-libopenraw: libopenraw (free software library for RAW files)
+libopenraw: libopenraw (a library for camera RAW file decoding)
libopenraw:
libopenraw: libopenraw is an ongoing project to provide a free software
libopenraw: implementation for camera RAW files decoding. One of the main
-libopenraw: reasons is that dcraw is not suited for easy integration into
+libopenraw: reason is that dcraw is not suited for easy integration into
libopenraw: applications, and there is a need for an easy to use API to
-libopenraw: build free software digital image processing applications.
+libopenraw: build free software digital image processing application.
libopenraw:
libopenraw: It also has the goal to address missing feature from dcraw
libopenraw: like meta-data decoding and easy thumbnail extraction.